Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1398709 - Inaccurate information with memory monitors, and no tooltip on mouseover anymore in XFCE
Summary: Inaccurate information with memory monitors, and no tooltip on mouseover anym...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-systemload-plugin
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-25 16:16 UTC by noraef
Modified: 2017-12-12 10:18 UTC (History)
2 users (show)

Fixed In Version: xfce4-systemload-plugin-1.2.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:18:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Problem with XFCE systemload memory monitors (deleted)
2016-11-25 16:16 UTC, noraef
no flags Details

Description noraef 2016-11-25 16:16:34 UTC
Created attachment 1224394 [details]
Problem with XFCE systemload memory monitors

Description of problem:
Have set up two memory bar indicators (RAM and swap), with xfce4-systemload-plugin, in my two rows vertical dashboard (so it makes two side-by-side columns), next to one another. Cf included pics as an illustration.

There are two problems since upgrading to F25:

1) the info displayed is wrong: most obvious is swap is totally unused (see terminal output on the pic), while the swap monitor (right yellow bar above the temperatures) says otherwise; counting the RAM monitor pixels (left yellow bar above the temperatures) and comparing the ratio to actually used RAM, it seems this one also is wrong

2) when leaving the mouse above those monitoring bars, no tooltip is displayed, while with F24, there was a tooltip telling how much exactly memory was used

Version-Release number of selected component (if applicable):
up to date Fedora 25

How reproducible:
always

Steps to Reproduce:
set up RAM and swap systemload monitors on an XFCE dashboard

Actual results:
see the RAM and swap info is wrong, and there's not tooltip with more details at all

Expected results:
RAM and swap info should be accurate, and a tooltip with memory quantity used should appear when draggin the mouse over the monitors

Comment 1 Fedora Admin XMLRPC Client 2017-01-28 15:27:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2017-02-11 01:15:28 UTC
xfce4-netload-plugin-1.3.1-1.fc25 xfce4-systemload-plugin-1.2.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-27112396e4

Comment 3 Fedora Update System 2017-02-11 17:21:20 UTC
xfce4-netload-plugin-1.3.1-1.fc25, xfce4-systemload-plugin-1.2.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-27112396e4

Comment 4 Fedora Update System 2017-02-20 18:52:08 UTC
xfce4-netload-plugin-1.3.1-1.fc25, xfce4-systemload-plugin-1.2.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 noraef 2017-02-21 02:49:39 UTC
Monitor bars behaviour is fixed int the latest version, but there still isn't a details tooltip on mouseover like there used to be. Should I open a new bug, for that feature?

Comment 6 Mukundan Ragavan 2017-02-25 01:57:50 UTC
(In reply to noraef from comment #5)
> Monitor bars behaviour is fixed int the latest version, but there still
> isn't a details tooltip on mouseover like there used to be. Should I open a
> new bug, for that feature?

I have re-opened this bug. Let me look.

Comment 7 noraef 2017-02-25 01:59:12 UTC
Thanks!

Comment 8 Fedora End Of Life 2017-11-16 19:11:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:18:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.